Update deepseq submodule to 1.4.1.1 tag
authorHerbert Valerio Riedel <hvr@gnu.org>
Fri, 20 Mar 2015 09:37:33 +0000 (10:37 +0100)
committerHerbert Valerio Riedel <hvr@gnu.org>
Fri, 20 Mar 2015 09:49:07 +0000 (10:49 +0100)
This deepseq update drops the redundant ghc-prim dependency for GHC>=7.6

libraries/deepseq
testsuite/tests/safeHaskell/check/pkg01/safePkg01.stdout
testsuite/tests/th/TH_Roles2.stderr

index 5cbc7d1..c6cb196 160000 (submodule)
@@ -1 +1 @@
-Subproject commit 5cbc7d1c1d51838b5a147b3fb2d4b6f87b0eda09
+Subproject commit c6cb196fb1bd5f16bb5945add2d6ece3f7910e90
index 16be65e..700f3a3 100644 (file)
@@ -29,17 +29,17 @@ trusted: safe
 require own pkg trusted: True
 
 M_SafePkg6
-package dependencies: array-0.5.0.1 base-4.8.0.0* bytestring-0.10.6.0* deepseq-1.4.1.0 ghc-prim-0.3.1.0 integer-gmp-1.0.0.0
+package dependencies: array-0.5.0.1 base-4.8.0.0* bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.3.1.0 integer-gmp-1.0.0.0
 trusted: trustworthy
 require own pkg trusted: False
 
 M_SafePkg7
-package dependencies: array-0.5.0.1 base-4.8.0.0* bytestring-0.10.6.0* deepseq-1.4.1.0 ghc-prim-0.3.1.0 integer-gmp-1.0.0.0
+package dependencies: array-0.5.0.1 base-4.8.0.0* bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.3.1.0 integer-gmp-1.0.0.0
 trusted: safe
 require own pkg trusted: False
 
 M_SafePkg8
-package dependencies: array-0.5.0.1 base-4.8.0.0 bytestring-0.10.6.0* deepseq-1.4.1.0 ghc-prim-0.3.1.0 integer-gmp-1.0.0.0
+package dependencies: array-0.5.0.1 base-4.8.0.0 bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.3.1.0 integer-gmp-1.0.0.0
 trusted: trustworthy
 require own pkg trusted: False
 
index 489064c..531a874 100644 (file)
@@ -4,7 +4,7 @@ TYPE CONSTRUCTORS
   data T (a :: k)
 COERCION AXIOMS
 Dependent modules: []
-Dependent packages: [array-0.5.1.0, base-4.8.0.0, deepseq-1.4.1.0,
+Dependent packages: [array-0.5.1.0, base-4.8.0.0, deepseq-1.4.1.1,
                      ghc-prim-0.3.1.0, integer-gmp-1.0.0.0, pretty-1.1.2.0,
                      template-haskell-2.10.0.0]